
Redmine - Defect #16859

rdm-mailhandler: subject corruption

2014-05-13 00:42 - Ruslan Kuksa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.5.1

Description

In some situations, issue title is corrupted.

How to repeat:

$ ./pangram-test /tmp/pangram.ru

1/57    С<<

2/57    Съ<<

3/57    Съе<<

4/57    Съеш<<

5/57    Съешь<<

6/57    Съешь <<

7/57    Съешь ж<<

8/57    Съешь же<<

9/57    Съешь же <<

10/57    Съешь же е<<

11/57    Съешь же ещ<<

12/57    Съешь же ещё<<

13/57    Съешь же ещё <<

14/57    Съешь же ещё э<<

15/57    Съешь же ещё эт<<

16/57    Съешь же ещё эти<<

17/57    Съешь же ещё этих<<

18/57    Съешь же ещё этих <<

19/57    Съешь же ещё этих м<<

20/57    Съешь же ещё этих мя<<

21/57    Съешь же ещё этих мяг<<

22/57    Съешь же ещё этих мягк<<

23/57    Съешь же ещё этих мягки<<

24/57    Съешь же ещё этих мягких<<

25/57    Съешь же ещё этих мягких <<

26/57    Съешь же ещё этих мягких ф<<

27/57    Съешь же ещё этих мягких фр<<

28/57    Съешь же ещё этих мягких фра<<

29/57    Съешь же ещё этих мягких фран<<

30/57    Съешь же ещё этих мягких франц<<

31/57    Съешь же ещё этих мягких францу<<

32/57    Съешь же ещё этих мягких француз<<

33/57    Съешь же ещё этих мягких французс<<

34/57    Съешь же ещё этих мягких французск<<

35/57    Съешь же ещё этих мягких французски<<

36/57    Съешь же ещё этих мягких французских<<

37/57    Съешь же ещё этих мягких французских <<

38/57    Съешь же ещё этих мягких французских б<<

39/57    Съешь же ещё этих мягких французских бу<<

40/57    Съешь же ещё этих мягких французских бул<<

41/57    Съешь же ещё этих мягких французских було<<

42/57    Съешь же ещё этих мягких французских булок<<

43/57    Съешь же ещё этих мягких французских булок <<

44/57    Съешь же ещё этих мягких французских булок д<<

45/57    Съешь же ещё этих мягких французских булок да<<
46/57    Съешь же ещё этих мягких французских булок да <<

47/57    Съешь же ещё этих мягких французских булок да в<<

48/57    Съешь же ещё этих мягких французских булок да вы<<

49/57    Съешь же ещё этих мягких французских булок да вып<<

50/57    Съешь же ещё этих мягких французских булок да выпе<<

51/57    Съешь же ещё этих мягких французских булок да выпей<<

52/57    Съешь же ещё этих мягких французских булок да выпей <<

53/57    Съешь же ещё этих мягких французских булок да выпей ч<<

54/57    Съешь же ещё этих мягких французских булок да выпей ча<<

55/57    Съешь же ещё этих мягких французских булок да выпей чаю<<

56/57    Съешь же ещё этих мягких французских булок да выпей чаю.<<

 Every string say, that issue with given title is created.

But result is bad:

 KF5lW62.png 

Titles doesn't corrupt in some situations. See in attached png files.

Related issues:

Related to Redmine - Defect #17216: new issue subject cropped from e-mail Closed

Related to Redmine - Defect #15308: Ticket subject and text cuting when recie... Closed

Related to Redmine - Defect #3592: Unreadable quoted-printable utf-8 long sub... New 2009-07-07

Has duplicate Redmine - Defect #18977: UTF-8 encoded subject extracted from e... Closed

Has duplicate Redmine - Defect #19576: Ticket subject.strip in recent version... Closed

Has duplicate Redmine - Defect #24803: Incoming mailm subject are truncated Closed

History

#1 - 2014-06-02 07:59 - Toshi MARUYAMA

- Category changed from Issues to Email receiving

#2 - 2014-06-18 10:10 - Toshi MARUYAMA

- Related to Defect #17216: new issue subject cropped from e-mail added

#3 - 2014-07-15 19:15 - Ruslan Kuksa

Hello Toshi,

I want to help to find and fix this bug.

How can I debug mail receiving API?

#4 - 2014-07-16 04:16 - Toshi MARUYAMA

source:tags/2.5.2/test/unit/mail_handler_test.rb

#5 - 2015-01-16 11:13 - Toshi MARUYAMA

- Has duplicate Defect #18864: troubles in email notifications  (Redmine 2.5.2.stable, russian text) added

#6 - 2015-01-16 11:16 - Toshi MARUYAMA

- Related to Defect #15308: Ticket subject and text cuting when recieving from E-mail added

#7 - 2015-01-16 11:25 - Toshi MARUYAMA

- Has duplicate deleted (Defect #18864: troubles in email notifications  (Redmine 2.5.2.stable, russian text))

#8 - 2015-01-16 11:25 - Toshi MARUYAMA

- Related to Defect #18864: troubles in email notifications  (Redmine 2.5.2.stable, russian text) added

#9 - 2015-01-30 08:15 - Toshi MARUYAMA

- Has duplicate Defect #18977: UTF-8 encoded subject extracted from email added

#10 - 2015-01-30 08:53 - Andrey Ni

- File encodings.rb added
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.2/test/unit/mail_handler_test.rb


This is file from 2.6.0. The only actual change is that line 295

line.gsub!(/\?\=\=\?.+?\?[QqBb]\?/m, '')

is commented. But it will make the issue titles to be created correctly.    

This is not an actual fix

It actually prevents the collapse_adjacent_encodings from joining strings.

That file is given only to show that the problem is within that function.

#11 - 2015-01-30 10:54 - Toshi MARUYAMA

Andrey, you would be better to post on mail gem issue tracker.

https://github.com/mikel/mail/issues

#12 - 2015-02-03 16:21 - Toshi MARUYAMA

- Related to deleted (Defect #18864: troubles in email notifications  (Redmine 2.5.2.stable, russian text))

#13 - 2015-05-07 10:23 - Toshi MARUYAMA

- Has duplicate Defect #19576: Ticket subject.strip in recent version not in an old one added

#14 - 2017-01-11 05:03 - Toshi MARUYAMA

- Related to Defect #3592: Unreadable quoted-printable utf-8 long subject in some mail clients added

#15 - 2017-01-18 20:27 - Toshi MARUYAMA

- Has duplicate Defect #24803: Incoming mailm subject are truncated  added

#16 - 2019-02-10 03:27 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Fixed

I can reproduce the problem in Redmine 2.5 but cannot in Redmine 3.3, 3.4, or 4.0. Maybe fixed in mail gem 2.6.

Files

4.png 39.6 KB 2014-05-12 Ruslan Kuksa

2.png 39.1 KB 2014-05-12 Ruslan Kuksa

0.png 39.1 KB 2014-05-12 Ruslan Kuksa

1.png 46.5 KB 2014-05-12 Ruslan Kuksa

5.png 46.6 KB 2014-05-12 Ruslan Kuksa

pangram.jp 150 Bytes 2014-05-12 Ruslan Kuksa

pangram.ru 103 Bytes 2014-05-12 Ruslan Kuksa

pangram.en 45 Bytes 2014-05-12 Ruslan Kuksa

subjects.txt 11.8 KB 2014-05-12 Ruslan Kuksa

pangram-test 311 Bytes 2014-05-12 Ruslan Kuksa

encodings.rb 9.6 KB 2015-01-30 Andrey Ni
